function main(self)
	self:AnimationStep()
	if self.State == 0 then
		self.State = 1
		self:SetAnimation("GAME_CYCLE50")
		self.time = GetTime()
	end
	if self.State == 1 then
		if GetTime() >= self.time + 330 then self:Destroy() end
		self.State = 2
	end
	if self.State == 2 then
		self.State = 1
	end
end
